/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdlib.h>
#include "nfa_hci_defs.h"
#include "nfa_hci_int.h"
#define SIZE 16

extern tNFA_HCI_CB nfa_hci_cb;

int main() {
  nfa_hci_cb.cmd_sent = NFA_HCI_ANY_GET_PARAMETER;
  nfa_hci_cb.param_in_use = NFA_HCI_HOST_LIST_INDEX;
  uint8_t data_len = SIZE * 6;
  uint8_t *data = (uint8_t *)malloc(SIZE);
  if (!data) {
    return EXIT_FAILURE;
  }
  nfa_hci_handle_admin_gate_rsp(data, data_len);
  free(data);

  return EXIT_SUCCESS;
}
